package es.redsara.intermediacion.scsp.esquemas.datosespecificos;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = { "codigoProvinciaResidencia", "nombreProvinciaResidencia", "codigoMunicipioResidencia",
		"nombreMunicipioResidencia", "codigoLocalidadResidencia", "nombreLocalidadResidencia", "codigoViaCalle",
		"nombreViaCastellano", "nombreViaEuskera", "bloque", "portal", "bis", "escalera", "planta", "puerta",
		"codigoPostal", "fechaAltaDomicilio" })
@XmlRootElement(name = "DomicilioPadron")
public class DomicilioPadron {

	@XmlElement(name = "CodigoProvinciaResidencia")
	protected String codigoProvinciaResidencia;

	@XmlElement(name = "NombreProvinciaResidencia")
	protected String nombreProvinciaResidencia;

	@XmlElement(name = "CodigoMunicipioResidencia")
	protected String codigoMunicipioResidencia;

	@XmlElement(name = "NombreMunicipioResidencia")
	protected String nombreMunicipioResidencia;

	@XmlElement(name = "CodigoLocalidadResidencia")
	protected String codigoLocalidadResidencia;

	@XmlElement(name = "NombreLocalidadResidencia")
	protected String nombreLocalidadResidencia;

	@XmlElement(name = "CodigoViaCalle")
	protected String codigoViaCalle;

	@XmlElement(name = "NombreViaCastellano")
	protected String nombreViaCastellano;

	@XmlElement(name = "NombreViaEuskera")
	protected String nombreViaEuskera;

	@XmlElement(name = "Bloque")
	protected String bloque;

	@XmlElement(name = "Portal")
	protected String portal;

	@XmlElement(name = "Bis")
	protected String bis;

	@XmlElement(name = "Escalera")
	protected String escalera;

	@XmlElement(name = "Planta")
	protected String planta;

	@XmlElement(name = "Puerta")
	protected String puerta;

	@XmlElement(name = "CodigoPostal")
	protected String codigoPostal;

	@XmlElement(name = "FechaAltaDomicilio")
	protected String fechaAltaDomicilio;

	/**
	 * @return the codigoProvinciaResidencia
	 */
	public String getCodigoProvinciaResidencia() {
		return codigoProvinciaResidencia;
	}

	/**
	 * @param codigoProvinciaResidencia
	 *            the codigoProvinciaResidencia to set
	 */
	public void setCodigoProvinciaResidencia(String codigoProvinciaResidencia) {
		this.codigoProvinciaResidencia = codigoProvinciaResidencia;
	}

	/**
	 * @return the nombreProvinciaResidencia
	 */
	public String getNombreProvinciaResidencia() {
		return nombreProvinciaResidencia;
	}

	/**
	 * @param nombreProvinciaResidencia
	 *            the nombreProvinciaResidencia to set
	 */
	public void setNombreProvinciaResidencia(String nombreProvinciaResidencia) {
		this.nombreProvinciaResidencia = nombreProvinciaResidencia;
	}

	/**
	 * @return the codigoMunicipioResidencia
	 */
	public String getCodigoMunicipioResidencia() {
		return codigoMunicipioResidencia;
	}

	/**
	 * @param codigoMunicipioResidencia
	 *            the codigoMunicipioResidencia to set
	 */
	public void setCodigoMunicipioResidencia(String codigoMunicipioResidencia) {
		this.codigoMunicipioResidencia = codigoMunicipioResidencia;
	}

	/**
	 * @return the nombreMunicipioResidencia
	 */
	public String getNombreMunicipioResidencia() {
		return nombreMunicipioResidencia;
	}

	/**
	 * @param nombreMunicipioResidencia
	 *            the nombreMunicipioResidencia to set
	 */
	public void setNombreMunicipioResidencia(String nombreMunicipioResidencia) {
		this.nombreMunicipioResidencia = nombreMunicipioResidencia;
	}

	/**
	 * @return the codigoLocalidadResidencia
	 */
	public String getCodigoLocalidadResidencia() {
		return codigoLocalidadResidencia;
	}

	/**
	 * @param codigoLocalidadResidencia
	 *            the codigoLocalidadResidencia to set
	 */
	public void setCodigoLocalidadResidencia(String codigoLocalidadResidencia) {
		this.codigoLocalidadResidencia = codigoLocalidadResidencia;
	}

	/**
	 * @return the nombreLocalidadResidencia
	 */
	public String getNombreLocalidadResidencia() {
		return nombreLocalidadResidencia;
	}

	/**
	 * @param nombreLocalidadResidencia
	 *            the nombreLocalidadResidencia to set
	 */
	public void setNombreLocalidadResidencia(String nombreLocalidadResidencia) {
		this.nombreLocalidadResidencia = nombreLocalidadResidencia;
	}

	/**
	 * @return the codigoViaCalle
	 */
	public String getCodigoViaCalle() {
		return codigoViaCalle;
	}

	/**
	 * @param codigoViaCalle
	 *            the codigoViaCalle to set
	 */
	public void setCodigoViaCalle(String codigoViaCalle) {
		this.codigoViaCalle = codigoViaCalle;
	}

	/**
	 * @return the nombreViaCastellano
	 */
	public String getNombreViaCastellano() {
		return nombreViaCastellano;
	}

	/**
	 * @param nombreViaCastellano
	 *            the nombreViaCastellano to set
	 */
	public void setNombreViaCastellano(String nombreViaCastellano) {
		this.nombreViaCastellano = nombreViaCastellano;
	}

	/**
	 * @return the nombreViaEuskera
	 */
	public String getNombreViaEuskera() {
		return nombreViaEuskera;
	}

	/**
	 * @param nombreViaEuskera
	 *            the nombreViaEuskera to set
	 */
	public void setNombreViaEuskera(String nombreViaEuskera) {
		this.nombreViaEuskera = nombreViaEuskera;
	}

	/**
	 * @return the bloque
	 */
	public String getBloque() {
		return bloque;
	}

	/**
	 * @param bloque
	 *            the bloque to set
	 */
	public void setBloque(String bloque) {
		this.bloque = bloque;
	}

	/**
	 * @return the portal
	 */
	public String getPortal() {
		return portal;
	}

	/**
	 * @param portal
	 *            the portal to set
	 */
	public void setPortal(String portal) {
		this.portal = portal;
	}

	/**
	 * @return the bis
	 */
	public String getBis() {
		return bis;
	}

	/**
	 * @param bis
	 *            the bis to set
	 */
	public void setBis(String bis) {
		this.bis = bis;
	}

	/**
	 * @return the escalera
	 */
	public String getEscalera() {
		return escalera;
	}

	/**
	 * @param escalera
	 *            the escalera to set
	 */
	public void setEscalera(String escalera) {
		this.escalera = escalera;
	}

	/**
	 * @return the planta
	 */
	public String getPlanta() {
		return planta;
	}

	/**
	 * @param planta
	 *            the planta to set
	 */
	public void setPlanta(String planta) {
		this.planta = planta;
	}

	/**
	 * @return the puerta
	 */
	public String getPuerta() {
		return puerta;
	}

	/**
	 * @param puerta
	 *            the puerta to set
	 */
	public void setPuerta(String puerta) {
		this.puerta = puerta;
	}

	/**
	 * @return the codigoPostal
	 */
	public String getCodigoPostal() {
		return codigoPostal;
	}

	/**
	 * @param codigoPostal
	 *            the codigoPostal to set
	 */
	public void setCodigoPostal(String codigoPostal) {
		this.codigoPostal = codigoPostal;
	}

	/**
	 * @return the fechaAltaDomicilio
	 */
	public String getFechaAltaDomicilio() {
		return fechaAltaDomicilio;
	}

	/**
	 * @param fechaAltaDomicilio
	 *            the fechaAltaDomicilio to set
	 */
	public void setFechaAltaDomicilio(String fechaAltaDomicilio) {
		this.fechaAltaDomicilio = fechaAltaDomicilio;
	}

}
